# Class TrainerPartyTemplate

#### Hierarchy (view full)

- TrainerPartyTemplate
  - TrainerPartyCompoundTemplate

- Defined in src/data/trainer-config.ts:38

#####
Index

### Constructors

constructor

### Properties

balanced
sameSpecies
size
strength

### Methods

getStrength
isBalanced
isSameSpecies

## Constructors

### constructor

- new TrainerPartyTemplate(size, strength, sameSpecies?, balanced?): TrainerPartyTemplate

- #### Parameters

  - size: number
  - strength: PartyMemberStrength
  - `Optional` sameSpecies: boolean
  - `Optional` balanced: boolean

  #### Returns TrainerPartyTemplate

  - Defined in src/data/trainer-config.ts:44

## Properties

### balanced

balanced: boolean

- Defined in src/data/trainer-config.ts:42

### sameSpecies

sameSpecies: boolean

- Defined in src/data/trainer-config.ts:41

### size

size: number

- Defined in src/data/trainer-config.ts:39

### strength

strength: PartyMemberStrength

- Defined in src/data/trainer-config.ts:40

## Methods

### getStrength

- getStrength(index): PartyMemberStrength

- #### Parameters

  - index: number

  #### Returns PartyMemberStrength

  - Defined in src/data/trainer-config.ts:51

### isBalanced

- isBalanced(index): boolean

- #### Parameters

  - index: number

  #### Returns boolean

  - Defined in src/data/trainer-config.ts:59

### isSameSpecies

- isSameSpecies(index): boolean

- #### Parameters

  - index: number

  #### Returns boolean

  - Defined in src/data/trainer-config.ts:55